Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
ifaddr.c File Reference
`#include "rubysocket.h"`

Go to the source code of this file.

## Macros
#define | socket_s_getifaddrs rb_f_notimplement

## Functions
void | rsock_init_sockifaddr (void)

## Macro Definition Documentation

## ◆ socket_s_getifaddrs

#define socket_s_getifaddrs rb_f_notimplement

Definition at line 450 of file ifaddr.c.

## Function Documentation

## ◆ rsock_init_sockifaddr()

void rsock_init_sockifaddr | ( | void |  | ) |

Definition at line 454 of file ifaddr.c.

References rb_cData, rb_cSocket, rb_define_class_under(), rb_define_method(), rb_define_singleton_method(), and socket_s_getifaddrs.

Referenced by rsock_init_socket_init().